
<div class="row">
	<div class="col-md-12">
        <div id="alert-template-jadwal-kosong" style="display: none">#{information play.i18n.Messages.get("komoditas.templatejadwal.kosong.info"), type:'danger' /}</div>
        <div id="alert-template-jadwal-tahapan-required" style="display: none">#{information play.i18n.Messages.get("komoditas.templatejadwal.tahapan.kosong.info"), type:'danger' /}</div>
        <div id="alert-template-jadwal-penawaran-required" style="display: none">#{information play.i18n.Messages.get("komoditas.templatejadwal.tahapanpenawaran.kosong.info"), type:'danger' /}</div>
        <div id="alert-template-jadwal-negosiasi-required" style="display: none">#{information play.i18n.Messages.get("komoditas.templatejadwal.tahapannegosiasi.kosong.info"), type:'danger' /}</div>
		<div id="alert-template-jadwal-deskripsi" style="display: none">#{information play.i18n.Messages.get("komoditas.templatejadwal.deskripsi.kosong.info"), type:'danger' /}</div>

        <div class="panel panel-default">
			<div class="panel-heading"><h5>&{'informasi_umum.label'} &{'template_jadwal.label'}</h5></div>
            <div class="panel-body">
				#{if komoditas}
					<input type="hidden" value="${action}" name="form.action">
					#{if action.equals("update")}
                        <input type="hidden" value="${form?.templateJadwal?.id}" name="form.templateJadwal.id">
					#{/if}

                    <div class="form-group">
						<label class="col-md-2 control-label">&{'nama_komoditas.label'}</label>
						<div class="col-md-8">
							<input type="text" disabled class="form-control" value="${komoditas.nama_komoditas}">
							<input type="hidden" value="${komoditas.id}" name="form.templateJadwal.komoditas_id">
						</div>
					</div>
				#{/if}

				<div class="form-group required">
					<label class="col-md-2 control-label">&{'nama_template_jadwal.label'}</label>
					<div class="col-md-8">
						<input type="text" required name="form.templateJadwal.nama_template" class="form-control nama_template" value="${form.templateJadwal?.nama_template}">
					</div>
				</div>
				<div class="form-group required">
					<label class="col-md-2 control-label">&{'deskripsi.label'}</label>
					<div class="col-md-8">
						<textarea rows="10" required="required" name="form.templateJadwal.deskripsi" id="description" class="form-control description" >${form.templateJadwal?.deskripsi}</textarea>
						<p style="color: red; display: none;" class="validate"><b>&{'validasi.data_kosong'}!</b></p>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="row">
	<div class="col-md-12">
		<div class="panel panel-default">
			<div class="panel-heading"><h5>&{'template_jadwal.label'}</h5></div>
			<div class="panel-body" style="overflow-x: auto">
                <table class="table table-striped" id="tahapan_jadwal">
                    <thead>
                    <tr>
                        <th style="display: none"></th>
                        <th>&{'nomor.label'}</th>
                        <th>&{'tahapan.label'}</th>
                        <th>&{'tahapan_pendaftaran.label'}</th>
                        <th>&{'tahapan_penjelasan.label'}</th>
                        <th>&{'tahapan_penawaran.label'}</th>
                        <th>&{'tahapan_revisi.label'}</th>
                        <th>&{'tahapan_negosiasi.label'}</th>
                        *{<th>&{'tahapan_penawaran.label'}</th>
                        <th id="header-negosiasi">&{'tahapan_negosiasi.label'}</th>
                        <th>&{'hapus.label'}</th>}*
                    </tr>
                    </thead>
                    <tbody>
                    #{list tahapanList,as:'tahapan'}
                        <tr>
                            <td style="display: none">
                                <select index="${tahapan_index - 1}" required name="form.tahapan_arr" id="tahapan_${tahapan_index - 1}" class="form-control select2 tahapan_drop_down">
                                    <option value="${tahapan.id}" selected >${tahapan.nama_tahapan_alias}</option>
                            </select>
                            </td>
                            <td>${tahapan_index}</td>
                            <td>${tahapan.nama_tahapan_alias}</td>
                            <td>
                                <input type="radio" id="${tahapan.flagging}_${tahapan_index - 1}" name="form.${tahapan.flagging}" disabled #{if tahapan.flagging == 'tahapan_pendaftaran'}checked#{/if}/>
                            </td>
                            <td>
                                <input type="radio" id="${tahapan.flagging}_${tahapan_index - 1}" name="form.${tahapan.flagging}" disabled #{if tahapan.flagging == 'tahapan_penjelasan'}checked#{/if}/>
                            </td>
                            <td>
                                <input type="radio" id="${tahapan.flagging}_${tahapan_index - 1}" name="form.${tahapan.flagging}" disabled #{if tahapan.flagging == 'tahapan_penawaran'}checked#{/if}/>
                            </td>
                            <td>
                                <input type="radio" id="${tahapan.flagging}_${tahapan_index - 1}" name="form.${tahapan.flagging}" disabled #{if tahapan.flagging == 'tahapan_revisi'}checked#{/if}/>
                            </td>
                            <td>
                                <input type="radio" id="${tahapan.flagging}_${tahapan_index - 1}" name="form.${tahapan.flagging}" disabled #{if tahapan.flagging  == 'tahapan_negosiasi'}checked#{/if}/>
                            </td>
                        </tr>
                    #{/list}
                    </tbody>
                </table>

				*{<div class="toolbar">
					<a id="tambah_tahapan" class="btn btn-primary btn-md"><i class="fa fa-plus"></i> &{'tambah.label'} &{'tahapan.label'}</a>
				</div>

				<table class="table table-striped" id="tahapan_jadwal">
					<thead>
						<tr>
							<th>&{'tahapan.label'}</th>
							<th>&{'tahapan_penawaran.label'}</th>
							<th id="header-negosiasi">&{'tahapan_negosiasi.label'}</th>
							<th>&{'hapus.label'}</th>
						</tr>
					</thead>
					<tbody>
						#{if form.jadwal}
							#{list form.jadwal, as:'jdw'}
								<tr>
									<td>
										<select index="${jdw_index - 1}" required name="form.tahapan_arr" id="tahapan_${jdw_index - 1}" class="form-control select2 tahapan_drop_down">
											<option value="">&{'pilih.label'}</option>
											#{list tahapanList,as:'tahapan'}
												<option value="${tahapan.id}" ${tahapan.id == jdw ? "selected" : ""} >${tahapan.nama_tahapan_alias}</option>
											#{/list}
										</select>
									</td>
									<td><input type="radio" id="penawaran_${jdw_index - 1}" name="form.penawaran" ${form.penawaran == jdw ? "checked value='"+jdw+"'" : ""}/></td>
									<td><input type="radio" id="negosiasi_${jdw_index - 1}" name="form.negosiasi" ${form.negosiasi == jdw ? "checked value='"+jdw+"'" : ""}/></td>
									<td><a id="removeInput" index="${jdw_index - 1}" class="btn btn-danger"><i class="fa fa-trash"></i></a></td>
								</tr>
							#{/list}
						#{/if}
					</tbody>
				</table>}*
			</div>
		</div>
	</div>
</div>
